> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostposter.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Post



## OpenAPI

````yaml https://server.ghostposter.co/openapi.json post /api/v1/projects/{project_id}/posts
openapi: 3.1.0
info:
  title: GHOST POSTER - BACKEND
  description: 'Version: 1.0.0, Build: 1000'
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/projects/{project_id}/posts:
    post:
      tags:
        - Posts
      summary: Create Post
      operationId: create_post_api_v1_projects__project_id__posts_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePostSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreatePostSchema:
      properties:
        Content:
          type: string
          title: Content
        Media:
          type: string
          title: Media
        TemplateId:
          type: string
          title: Templateid
        PromptId:
          type: string
          title: Promptid
        Platforms:
          items:
            type: string
          type: array
          title: Platforms
          default:
            - INSTAGRAM
            - FACEBOOK
            - LINKEDIN
            - X
            - YOUTUBE
            - TIKTOK
            - PINTEREST
            - REDDIT
            - TELEGRAM
            - THREADS
        ScheduleDate:
          type: string
          format: date-time
          title: Scheduledate
        Timezone:
          type: string
          title: Timezone
        Status:
          type: string
          enum:
            - DRAFT
            - SCHEDULED
            - PUBLISHED
            - FAILED
            - PARTIALLY_PUBLISHED
            - QUEUED
          title: Status
          default: DRAFT
      type: object
      required:
        - Content
        - Media
        - TemplateId
        - PromptId
        - ScheduleDate
        - Timezone
      title: CreatePostSchema
    ServerResponse:
      properties:
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
        success:
          type: boolean
          title: Success
      type: object
      required:
        - success
      title: ServerResponse
      example:
        data: {}
        success: true
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````